Class | WSDL::XMLSchema::Importer
In: | wsdl/xmlSchema/importer.rb
Parent: | Object

### Methods

import import new

### Public Class methods

import(location, originalroot = nil)

[Source]

    # File wsdl/xmlSchema/importer.rb, line 18
      def self.import(location, originalroot = nil)
        new.import(location, originalroot)
      end

new()

[Source]

    # File wsdl/xmlSchema/importer.rb, line 22
      def initialize
        @web_client = nil
      end

### Public Instance methods

import(location, originalroot = nil)

[Source]

    # File wsdl/xmlSchema/importer.rb, line 26
      def import(location, originalroot = nil)
        unless location.is_a?(URI)
          location = URI.parse(location)
        end
        content = parse(fetch(location), location, originalroot)
        content.location = location
        content
      end

[Validate]